% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/GetEdgerY.R
\name{GetEdgerY}
\alias{GetEdgerY}
\title{GetEdgerY}
\usage{
GetEdgerY(
  gr,
  WDpn,
  colIDgene,
  colCounts,
  skip_preN,
  filterMethod,
  min_count,
  min_total_count,
  large_n,
  min_prop,
  normMethod
)
}
\arguments{
\item{gr}{Data frame with sample metadata, including sample names and group labels}

\item{WDpn}{Directory containing count files (*.tab)}

\item{colIDgene}{Column index of gene IDs in count files}

\item{colCounts}{Column index of counts in count files}

\item{skip_preN}{Number of header lines to skip in count files}

\item{filterMethod}{Either "filterByExpr" or "HTSFilter"}

\item{min_count}{Minimum count per gene (filterByExpr)}

\item{min_total_count}{Minimum total count per gene (filterByExpr)}

\item{large_n}{Number of samples per group to consider as "large" (filterByExpr)}

\item{min_prop}{Minimum proportion of samples with expression (filterByExpr)}

\item{normMethod}{Normalization method (e.g., "TMM", "RLE")}
}
\value{
A list with total/kept gene counts, filtered DGEList objects, and log-CPM matrices
}
\description{
Calculate and return filtered DGEList object and log-CPM matrices using edgeR and optional HTSFilter
}
